Qt 5.6 | Qt Sensors | C++ Classes | QCompassFilter

Qt 5.6.3 Reference Documentation

# QCompassFilter Class

The QCompassFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QCompassFilter>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorFilter

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QCompassReading *reading) = 0

- 1 public function inherited from QSensorFilter

## Detailed Description

The QCompassFilter class is a convenience wrapper around QSensorFilter.

The only difference is that the filter() method features a pointer to QCompassReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QCompassFilter::filter(QCompassReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().